export const dropdownMenu = (selection, props) => {
  const {
    onOptionClick,
    options
  } = props;
  
  let select = selection.selectAll('select').data([null]);
  select = select.enter().append('select')
    .merge(select)
  	.on('change', function() {onOptionClick(this.value)});
  
  
  const option = select.selectAll('option').data(options);
  option.enter().append('option')
  	.merge(option)
  	.attr('value', d => d)
  	.text(d => d);
  
}

